Getting Error when installing minimal LEMP stack on CentOS 7

Hi,

I have tried installing a Virtualmin minimal LEMP stack on two different machines and I get the following error each time:

# sh install.sh -m -b LEMP
.
.
[INFO] Started installation log in /root/virtualmin-install.log

▣□□ Phase 1 of 3: Setup
/usr/sbin/setenforce: SELinux is disabled
Updating yum Groups                                                     [  ✔  ]
Downloading virtualmin-release-latest.noarch.rpm                        [  ✔  ]
Installing virtualmin-release package                                   [  ✔  ]

▣▣□ Phase 2 of 3: Installation
Installing EPEL release package                                         [  ✔  ]
Installing yum-utils                                                    [  ✔  ]
Enabling extras repository                                              [  ✔  ]
Installing scl-utils                                                    [  ✔  ]
Install Software Collections release package                            [  ✔  ]
Installing PHP7                                                         [  ✔  ]
Marking 'Virtualmin LEMP Stack Minimal' for install                     [  ✔  ]
Marking 'Virtualmin Core' for install                                   [  ✔  ]
Installing dependencies and system packages                             [ERROR] Failed with error: 1
[  ✘  ]

[ERROR] Something went wrong. Exiting.
[ERROR] The last few log entries were:
 Package    : epel-release-7-11.noarch (@extras)
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
Operating system is CentOS Linux
/var/tmp/rpm-tmp.heGND5: line 5: /etc/webmin/stop: No such file or directory
Webmin install complete. You can now login to https://mydomain.com:10000/
as root with your root password.
This Webmin module depends on the module virtualmin-nginx, which is
not installed on your system.
error: %pre(wbm-virtualmin-nginx-ssl-1.8-1.noarch) scriptlet failed, exit status 1
Error in PREIN scriptlet in rpm package wbm-virtualmin-nginx-ssl-1.8-1.noarch
error: wbm-virtualmin-nginx-ssl-1.8-1.noarch: install failed
virtualmin-nginx
Installing dependencies and system packages: [2020-07-15 01:22:11 UTC] [ERROR] Failed with error: 1
[2020-07-15 01:22:11 UTC] [ERROR] Something went wrong. Exiting.
[2020-07-15 01:22:11 UTC] [ERROR] The last few log entries were:

I then tried to manually install wbm-virtualmin-nginx-ssl and got this error:

# yum install wbm-virtualmin-nginx-ssl
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirror.centos.lax1.serverforge.org
 * centos-sclo-rh: mirror.lax.genesisadaptive.com
 * centos-sclo-sclo: sjc.edge.kernel.org
 * epel: d2lzkl7pfhq30w.cloudfront.net
 * extras: sjc.edge.kernel.org
 * updates: mirror.centos.lax1.serverforge.org
Resolving Dependencies
--> Running transaction check
---> Package wbm-virtualmin-nginx-ssl.noarch 0:1.8-1 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                     Arch      Version    Repository               Size
================================================================================
Installing:
 wbm-virtualmin-nginx-ssl    noarch    1.8-1      virtualmin-universal    158 k

Transaction Summary
================================================================================
Install  1 Package

Total download size: 158 k
Installed size: 112 k
Is this ok [y/d/N]: y
Downloading packages:
wbm-virtualmin-nginx-ssl-1.8-1.noarch.rpm                  | 158 kB   00:00     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
This Webmin module depends on the module virtual-server, which is
not installed on your system.
error: %pre(wbm-virtualmin-nginx-ssl-1.8-1.noarch) scriptlet failed, exit status 1
Error in PREIN scriptlet in rpm package wbm-virtualmin-nginx-ssl-1.8-1.noarch
  Verifying  : wbm-virtualmin-nginx-ssl-1.8-1.noarch                        1/1 

Failed:
  wbm-virtualmin-nginx-ssl.noarch 0:1.8-1                                       

Complete!

I then installed wbm-virtual-server and it installed without any errors. Then I was able to install wbm-virtualmin-nginx-ssl without any errors. I then tried to run the install script again and was finally able to install a minimal version of Virtualmin LEMP.

Thanks.

These issues are being addressed now and hopefully will be fixed within next 24 hours.

Hi, I just wanted to let you know that I ran another install today and it is still getting an error although now I only have to install wbm-virtualmin-nginx-ssl and rerun the install script in order to get it to work.

[INFO] Started installation log in /root/virtualmin-install.log

▣□□ Phase 1 of 3: Setup
/usr/sbin/setenforce: SELinux is disabled
Updating yum Groups                                                     [  ✔  ]
Downloading virtualmin-release-latest.noarch.rpm                        [  ✔  ]
Installing virtualmin-release package                                   [  ✔  ]

▣▣□ Phase 2 of 3: Installation
Installing EPEL release package                                         [  ✔  ]
Installing yum-utils                                                    [  ✔  ]
Enabling extras repository                                              [  ✔  ]
Installing scl-utils                                                    [  ✔  ]
Install Software Collections release package                            [  ✔  ]
Installing PHP7                                                         [  ✔  ]
Marking 'Virtualmin LEMP Stack Minimal' for install                     [  ✔  ]
Marking 'Virtualmin Core' for install                                   [  ✔  ]
Installing dependencies and system packages                             [ERROR] Failed with error: 1
[  ✘  ]

[ERROR] Something went wrong. Exiting.
[ERROR] The last few log entries were:
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
Operating system is CentOS Linux
/var/tmp/rpm-tmp.YwenJp: line 5: /etc/webmin/stop: No such file or directory
Webmin install complete. You can now login to https://mydomain.com:10000/
as root with your root password.
virtual-server
This Webmin module depends on the module virtualmin-nginx, which is
not installed on your system.
error: %pre(wbm-virtualmin-nginx-ssl-1.11-1.noarch) scriptlet failed, exit status 1
Error in PREIN scriptlet in rpm package wbm-virtualmin-nginx-ssl-1.11-1.noarch
error: wbm-virtualmin-nginx-ssl-1.11-1.noarch: install failed
virtualmin-nginx
Installing dependencies and system packages: [2020-07-19 19:26:03 UTC] [ERROR] Failed with error: 1
[2020-07-19 19:26:03 UTC] [ERROR] Something went wrong. Exiting.
[2020-07-19 19:26:03 UTC] [ERROR] The last few log entries were:

Probably fixed by latest version of the virtualmin-nginx and virtualmin-nginx-ssl modules.

1 Like

I can confirm that it is fixed now. Thank you! :+1:

This topic was automatically closed 4 days after the last reply. New replies are no longer allowed.